Bug 204487 - devel/cmake: fixed paths in FindX11.cmake
Summary: devel/cmake: fixed paths in FindX11.cmake
Status: Closed Works As Intended
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks: 204497
  Show dependency treegraph
 
Reported: 2015-11-12 02:59 UTC by Yuri Victorovich
Modified: 2015-12-04 22:25 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments
patch (1.18 KB, patch)
2015-11-12 02:59 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-11-12 02:59:55 UTC
Created attachment 163032 [details]
patch

Currently FindX11.cmake supplies completely wrong paths for X11 libraries.
The attached patch fixes this.

For simplicity it just kills many old paths, adds the right one, and leaves some white space there. This can probably be improved by putting the right patch under files/. However, my attempt to do this were conflicting with some non-standardized patch (straight from git?) that is already there.

Maintainer should take a look.
Comment 1 Dmitry Marakasov freebsd_committer 2015-12-02 19:40:07 UTC
> Currently FindX11.cmake supplies completely wrong paths for X11 libraries

Can you provide a proof?

These paths are only used to find X11 includes/libs, so extra entries are irrelevent, and /usr/local/include + /usr/local/lib are already there, and /usr/local is already replaced by ${LOCALBASE} by existing REINPLACE_CMD
Comment 2 Yuri Victorovich freebsd_committer 2015-12-02 19:57:13 UTC
The port that this bug blocks tries to locate Xorg libs and fails, and with this patch it succeeds.
Comment 3 Dmitry Marakasov freebsd_committer 2015-12-03 09:56:04 UTC
Please provide a build log.
Comment 4 Yuri Victorovich freebsd_committer 2015-12-04 22:25:40 UTC
For some reason, graphics/aseprite doesn't fail any more without this patch, so closing it.